For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
      • GETList Projects
      • POSTCreate Project
      • GETRetrieve Project
      • PUTUpdate Project
      • DELDelete Project
        • GETList Project API Keys
        • GETGet Project API Key
        • POSTCreate Project API Key
        • PUTUpdate Project API Key
        • DELRevoke Project API Key
  • Evals
  • Legacy
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
Data ModelsProjectsAPI Keys

List Project API Keys

GET
https://api.confident-ai.com/v1/projects/:projectId/api-keys
GET
/v1/projects/:projectId/api-keys
$curl https://api.confident-ai.com/v1/projects/projectId/api-keys \
> -H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "apiKeys": [
5 {
6 "id": 34,
7 "valid": true,
8 "value": "***************d4e5f6",
9 "created_at": "2024-12-04T23:00:00.000Z",
10 "name": "Production agent key",
11 "lastUsed": "2024-12-05T10:15:00.000Z"
12 }
13 ]
14 }
15}

Lists all API keys scoped to the project. Each key’s value is redacted (only the last 6 characters are shown) — the full value is only ever returned once, at creation.

Was this page helpful?
Previous

Get Project API Key

Next
Built with

Path parameters

projectIdstringRequired
The unique identifier of the project.

Headers

CONFIDENT_API_KEYstringRequired
The organization API key for your Confident AI organization.

Response

successboolean
Indicates if the request was successful
dataobject